function [ output ] = signal_energy_window(vectorinn, windowsize)
%signal_energy_window Returns the energy in the signal using a window of
%size windowsize from current index and ahead
%   Detailed explanation goes here
    vector=zeros(1,size(vectorinn,2)+windowsize);
    output=zeros(1,size(vectorinn,2));
    vector(1:size(vectorinn,2))=vectorinn;
    %vector(round(windowsize/2):round(windowsize/2)+size(vectorinn,2)-1)=vectorinn;
    for i=1:size(output,2),
        output(i)=sum(vector(i:i+windowsize-1).^2);
    end
    

end

