clear all
number_of_features=1:5;
P_error=[ 0.11906, 0.018075, 0.0011788, 0.0011788, 0.0011788];
figure(1)
plot(number_of_features, 100*P_error, 'linewidth', 4)

title('Lowest P\_error given number of features')%, 'FontSize',14.0)
xlabel('Number of features used')%, 'FontSize',14.0)
ylabel('P\_error [%]')%, 'FontSize',14.0)
axis([0,5,0,15])
set(gca,'FontSize',14, 'XTick',[0,1,2,3,4,5])
grid on