function [ concentration_v ] = CONCENTRATION_CALCULATION(sound_velocity_v, temperature_v)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here
    concentration_v=zeros(size(temperature_v));
    for i=1:length(temperature_v),
        temperature=temperature_v(i);
        sound_velocity=sound_velocity_v(i);
        sv_water = SOUND_VELOCITY_REFERENCE_WATER(temperature);
        sv_adblue = SOUND_VELOCITY_REFERENCE_ADBLUE(temperature);

        if sound_velocity < sv_water,
            concentration = 0;
        else
            concentration = (32.5 * (sound_velocity - sv_water))/(sv_adblue-sv_water);
        end
        concentration_v(i)=concentration;
    end
end
