function [ FACTOR ] = damping_factor( X1, Y)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    FACTOR=zeros(size(X1,1),1);
    for k=1:size(X1,1),
        x1=X1(k,:);
        y=Y(k,:);



        len_x1=length(x1);
        len_y=length(y);
        y_pad=zeros(1,len_y+2*len_x1-1);
        y_pad(len_x1:len_x1+len_y-1)=y;
        err1=zeros(1,len_y+len_x1-1);


        for i=1:(len_y+len_x1-1),
            err1(i)=sum((x1-y_pad(i:i+len_x1-1)).^2);
        end


        [~,i]=min(err1);


        index=i-len_x1;

        if (index+1)<1,
            y_cmp=y(1:end+index);
            x_cmp=x1(-index+1:end);
        else
            y_cmp=y(index+1:end);
            x_cmp=x1(1:end-index);
        end





        len_x1=length(x1);
        len_y=length(y);
        y_pad=zeros(1,len_y+2*len_x1-1);
        y_pad(len_x1:len_x1+len_y-1)=y;

        max_damping=40;
        err1=zeros(1,max_damping);


        for factor=1:length(err1),

            err1(factor)=sum((x_cmp-saturation1(factor*y_cmp, -max(abs(x_cmp)),max(abs(x_cmp)) )).^2);
        end


        [~,factor]=min(err1);

        fine_tune=-1:0.01:1;
        err2=zeros(1,length(fine_tune));
        for i=1:length(fine_tune),
            err2(i)=sum((x_cmp-saturation1((factor+fine_tune(i))*y_cmp, -max(abs(x_cmp)),max(abs(x_cmp)) )).^2);
        end

        [~,fine_tune_index]=min(err2);



        FACTOR(k)=factor+fine_tune(fine_tune_index);


    end
end

