function [out_vector] = filterOutNonPeaks(vector)
%filterOutNonPeaks [out_vector] = filterOutNonPeaks(vector)
%returns vector with non-peaks put to zero
%   Detailed explanation goes here
    mask=zeros(1,size(vector,2));
    out_vector=zeros(1,size(vector,2));
    vector=abs(vector);
    for i=2:size(vector,2)-1,
        if vector(i)>vector(i-1) && vector(i)>vector(i+1),
            mask(i)=1;
        end
    end
    for i=1:size(vector,2),
        out_vector(i)=vector(i)*mask(i);
    end
end

