function [ g_max, i_max ] = g_minimum_error_rate( feature, X_class, temperature )
%UNTITLED Returns the classindex of the most likely class. [ g_max, i_max ]
% g_max: valye of the g_function with highest value. 
% i_max: class index. 
%   Detailed explanation goes here
number_of_classes=size(X_class,1);
number_of_features=size(X_class{1}{1},1);
W=zeros(number_of_features,number_of_features,number_of_classes);
w_=zeros(number_of_features,number_of_classes);
w0=zeros(number_of_features,number_of_classes);

%Save parameters for the discriminant function:====
for i=1:number_of_classes,    
    W(:,:,i)= X_class{i}{1};
    w_(:,i)=X_class{i}{2}(temperature);
    w0(i)=X_class{i}{3}(temperature);
end
%===================================================



    g_max=-Inf;
    i_max=0;
    for i=1:number_of_classes,
        temp=feature'*W(:,:,i)*feature+w_(:,i)'*feature+w0(i);
        if temp>=g_max,
            g_max=temp;
            i_max=i;
        end
    end
end

